Package com.independentsoft.office.word

# Class MoveToRunContent

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange
com.independentsoft.office.word.RunTrackChange
com.independentsoft.office.word.MoveToRunContent

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class MoveToRunContent extends RunTrackChange
The Class MoveToRunContent.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.RunTrackChange

  `content`

  ### Fields inherited from class com.independentsoft.office.word.TrackChange

  `author, date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveToRunContent()`
  Instantiates a new move to run content.
  `MoveToRunContent​(InternalXMLStreamReader reader)`
  Instantiates a new move to run content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IRunTrackChangeContent contentElement)`
  Adds the.
  `MoveToRunContent`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.RunTrackChange

  `getContent`

  ### Methods inherited from class com.independentsoft.office.word.TrackChange

  `getAuthor, getDate, setAuthor, setDate`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MoveToRunContent

    public MoveToRunContent()
    Instantiates a new move to run content.

  - ### MoveToRunContent

    public MoveToRunContent​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new move to run content.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(IRunTrackChangeContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `RunTrackChange`

  - ### clone

    public MoveToRunContent clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `RunTrackChange`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`